GpgFrontend Project A Free, Powerful, Easy-to-Use, Compact, Cross-Platform, and Installation-Free OpenPGP(pgp) Crypto Tool.

Public Member Functions | Private Attributes | List of all members
GpgFrontend::UI::SignersPicker Class Reference
Inheritance diagram for GpgFrontend::UI::SignersPicker:
Collaboration diagram for GpgFrontend::UI::SignersPicker:

## Public Member Functions
| SignersPicker (QWidget *parent=nullptr)
| Construct a new Signers Picker object. More...
GpgFrontend::KeyIdArgsListPtr | GetCheckedSigners ()
| Get the Checked Signers object. More...
bool | GetStatus () const
Public Member Functions inherited from GpgFrontend::UI::GeneralDialog
| GeneralDialog (std::string name, QWidget *parent=nullptr)

## Private Attributes
KeyList * | key_list_
bool | accepted_ = false

## Additional Inherited Members
Protected Member Functions inherited from GpgFrontend::UI::GeneralDialog
void | setPosCenterOfScreen ()
void | movePosition2CenterOfParent ()

## Constructor & Destructor Documentation

## ◆ SignersPicker()

GpgFrontend::UI::SignersPicker::SignersPicker | ( | QWidget * | parent = `nullptr` | ) |
| explicit

Construct a new Signers Picker object.

Parameters

  parent |

References GpgFrontend::UI::KeyList::AddListGroupTab(), and GpgFrontend::GpgKey::IsHasActualSigningCapability().

## Member Function Documentation

## ◆ GetCheckedSigners()

GpgFrontend::KeyIdArgsListPtr GpgFrontend::UI::SignersPicker::GetCheckedSigners | ( |  | ) |

Get the Checked Signers object.

Returns
  GpgFrontend::KeyIdArgsListPtr

References GpgFrontend::UI::KeyList::GetPrivateChecked().

## ◆ GetStatus()

bool GpgFrontend::UI::SignersPicker::GetStatus | ( |  | ) | const

Returns

The documentation for this class was generated from the following files:

- src/ui/dialog/SignersPicker.h
- src/ui/dialog/SignersPicker.cpp